<nav>
    <div>
        <a routerLink="">Home</a> |
        <a [routerLink]="['material']">Material</a> |
        <a [routerLink]="['hello']">Hello</a> |
        <a [routerLink]="['msg']">Message</a>
    </div>
</nav>
<div class="content">
    
    <router-outlet><p>{{message}}</p></router-outlet>
    <hr>
    <p (click)="doClick()"> This is Angular sample here</p>
</div>        